package es.upv.epsa.centro_veterinario.formularios;

import java.util.Date;

/**
 * Clase simple de java (POJO) que representa el formulario de la mascota que envía el cliente.
 * @author Ana Olcina
 * TFG 2017
 *
 */
public class MascotaForm {
	/**
	 * Atributos de la mascota
	 */
	private String nombre;
	private Date fecha_nacimiento;
    private String tipo_animal;
    private String raza;
    private String sexo;
    private String color;
    private Boolean esterilizado;
    private String num_microchip;
    private Date fecha_microchip;
    private String num_pasaporte;
    private String num_registro;
    private Date fecha_registro;
    private String num_poliza;
    private Date validez;

    /**
     * Constructor por defecto
     */
    private MascotaForm() {}

    /**
     * Constructor público
     * @param nombre
     * @param fecha_nacimiento
     * @param tipo_animal
     * @param raza
     * @param sexo
     * @param color
     * @param esterilizado
     * @param num_microchip
     * @param fecha_microchip
     * @param num_pasaporte
     * @param num_registro
     * @param fecha_registro
     * @param num_poliza
     * @param validez
     */
    public MascotaForm(String nombre, Date fecha_nacimiento, String tipo_animal, String raza, String sexo,
    		String color, Boolean esterilizado, String num_microchip, Date fecha_microchip, String num_pasaporte,
    		String num_registro, Date fecha_registro, String num_poliza, Date validez) {
    	////Se realizan comprobaciones de los valores nulos para evitar problemas
    	this.nombre = nombre;
        this.fecha_nacimiento = fecha_nacimiento == null ? null : new Date (fecha_nacimiento.getTime());
        this.tipo_animal  = tipo_animal == null ? null : tipo_animal;
        this.raza = raza  == null ? null : raza;
        this.sexo = sexo  == null ? null : sexo;
        this.color = color  == null ? null : color;
        this.esterilizado = esterilizado  == null ? null : esterilizado;
        this.num_microchip = num_microchip  == null ? null : num_microchip;
        this.fecha_microchip = fecha_microchip == null ? null : new Date (fecha_microchip.getTime());
        this.num_pasaporte = num_pasaporte  == null ? null : num_pasaporte;
        this.num_registro = num_registro  == null ? null : num_registro;
        this.fecha_registro = fecha_registro == null ? null : new Date (fecha_registro.getTime());
        this.num_poliza = num_poliza  == null ? null : num_poliza;
        this.validez  = validez == null ? null : new Date (validez.getTime());
    }

    /**
     * Getters
     */
	public String getNombre() {
		return nombre;
	}

	public Date getFecha_nacimiento() {
		return fecha_nacimiento;
	}

	public String getTipo_animal() {
		return tipo_animal;
	}

	public String getRaza() {
		return raza;
	}

	public String getColor() {
		return color;
	}

	public Boolean getEsterilizado() {
		return esterilizado;
	}

	public String getNum_microchip() {
		return num_microchip;
	}

	public Date getFecha_microchip() {
		return fecha_microchip;
	}

	public String getNum_pasaporte() {
		return num_pasaporte;
	}

	public String getNum_registro() {
		return num_registro;
	}

	public Date getFecha_registro() {
		return fecha_registro;
	}


	public String getNum_poliza() {
		return num_poliza;
	}

	public Date getValidez() {
		return validez;
	}

    public String getSexo(){
    	return sexo;
    }

}
