package es.upv.epsa.centro_veterinario.formularios;

import java.util.Date;


/**
 * Clase simple de java (POJO) que representa el formulario de la visita que envía el cliente.
 * @author Ana Olcina
 * TFG 2017
 *
 */
public class VisitaForm {
	/**
	 * Atributos de la visita
	 */
	private Date fecha_visita;
	private String hora_visita;
    private String nombre_mascota; 
    private String veterinario;
    private String centro_veterinario;
    private Double peso;
    private String vacunas;
    private String analisis;
    private String radiografias;
    private String exploracion;
    private String otras_observaciones;
    private Date proxima_visita;
    private String hora_prox_visita;
    

    /**
     * Constructor por defecto
     */
    private VisitaForm() {}


    /**
     * Constructor público
     * @param fecha_visita
     * @param hora_visita
     * @param nombre_mascota
     * @param veterinario
     * @param centro_veterinario
     * @param peso
     * @param vacunas
     * @param analisis
     * @param radiografias
     * @param exploracion
     * @param otras_observaciones
     * @param proxima_visita
     * @param pv
     * @param hora_prox_visita
     */
    public VisitaForm(Date fecha_visita, String hora_visita, String nombre_mascota, String veterinario, String centro_veterinario,
    		Double peso, String vacunas, String analisis, String radiografias,
    		String exploracion, String otras_observaciones, Date proxima_visita, String pv, String hora_prox_visita) {
    	
    	//Se realizan comprobaciones de los valores nulos para evitar problemas
    	this.fecha_visita = fecha_visita == null ? null : new Date (fecha_visita.getTime());
    	this.hora_visita = hora_visita == null ? null : hora_visita;
        this.nombre_mascota  = nombre_mascota == null ? null : nombre_mascota;
        this.veterinario = veterinario  == null ? null : veterinario;
        this.centro_veterinario = centro_veterinario  == null ? null : centro_veterinario;
        this.peso = peso  == null ? null : peso;
        this.vacunas = vacunas  == null ? null : vacunas;
        this.analisis = analisis  == null ? null : analisis;
        this.radiografias = radiografias  == null ? null : radiografias;
        this.exploracion = exploracion  == null ? null : exploracion;
        this.otras_observaciones = otras_observaciones  == null ? null : otras_observaciones;
        this.proxima_visita = proxima_visita == null ? null : new Date (proxima_visita.getTime());
    	this.hora_prox_visita = hora_prox_visita == null ? null : hora_prox_visita;
        

    }

    /**
     * Getters
     */
    public Date getFecha_visita() {
		return fecha_visita;
	}

    public String getHora_visita() {
		return hora_visita;
	}

	public String getNombre_mascota() {
		return nombre_mascota;
	}


	public String getVeterinario() {
		return veterinario;
	}


	public String getCentro_veterinario() {
		return centro_veterinario;
	}


	public Double getPeso() {
		return peso;
	}


	public String getVacunas() {
		return vacunas;
	}


	public String getAnalisis() {
		return analisis;
	}


	public String getRadiografias() {
		return radiografias;
	}


	public String getExploracion() {
		return exploracion;
	}


	public String getOtras_observaciones() {
		return otras_observaciones;
	}


	public Date getProxima_visita() {
		return proxima_visita;
	}
	

	public String getHora_prox_visita(){
		return hora_prox_visita;
	}
	
	
}
