package es.upv.epsa.centro_veterinario.service;

import es.upv.epsa.centro_veterinario.entidades.AppEngineUser;
import es.upv.epsa.centro_veterinario.entidades.Mascota;
import es.upv.epsa.centro_veterinario.entidades.Perfil;
import es.upv.epsa.centro_veterinario.entidades.Visita;
import com.googlecode.objectify.Objectify;
import com.googlecode.objectify.ObjectifyFactory;
import com.googlecode.objectify.ObjectifyService;

/**
 * Servicio Objectify personalizado que utilizará la aplicación
 * @author Ana Olcina
 * TFG 2017
 */
public class OfyService {
    /**
     * Bloque estático que asegura el registro de las entidades.
     */
    static {
        factory().register(Perfil.class);
        factory().register(Mascota.class);
        factory().register(Visita.class);
    }

    /**
     * Método estático que se utiliza para asegurarse de que el bloque estático anterior
     * es ejecutado antes de usar Objectify
     */
    public static Objectify ofy() {
        return ObjectifyService.ofy();
    }

    /**
     * Método estático que se utiliza para obtener la factoría del servicio de Objectify.
     */
    public static ObjectifyFactory factory() {
        return ObjectifyService.factory();
    }
}
