package es.upv.epsa.centro_veterinario.servlet;

import com.google.appengine.api.utils.SystemProperty;

import java.io.IOException;
import java.util.Properties;
import java.util.logging.Level;
import java.util.logging.Logger;

import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet para enviar notificaciones por email cuando se da de alta una mascota.
 * @author Ana Olcina
 * TFG 2017
 */

public class SendEventCalendarServlet extends HttpServlet {

    private static final Logger LOG = Logger.getLogger(
    		SendEventCalendarServlet.class.getName());

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
   	
    	String email = request.getParameter("email");
        String html = request.getParameter("html_texto");
        String nom_mascota = request.getParameter("mascota");
        
        Properties props = new Properties();
        Session session = Session.getDefaultInstance(props, null);

        try {

           Message message = new MimeMessage(session);

           InternetAddress from = new InternetAddress(
               String.format("noreply@%s.appspotmail.com",
                            SystemProperty.applicationId.get()), "Centro veterinario");
            message.setFrom(from);
            message.addRecipient(Message.RecipientType.TO, new InternetAddress(email, ""));
            message.setSubject("Siguiente visita veterinaria de "+nom_mascota);
            message.setContent(html, "text/html");
            Transport.send(message);
        } catch (MessagingException e) {
            LOG.log(Level.WARNING, String.format("Fallo al enviar el email a %s", email), e);
            throw new RuntimeException(e);
        }
    }
}
